<?php
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
class BasesViewBasess extends JViewLegacy
{
	
	function display($tpl = null)
	{
		// Get application
		$app = JFactory::getApplication();
		$context = "bases.list.admin.bases";
		// Get data from the model
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state			= $this->get('State');		
		$this->filter_order 	= $app->getUserStateFromRequest($context.'filter_order', 'filter_order', 'greeting', 'cmd');
		$this->filter_order_Dir = $app->getUserStateFromRequest($context.'filter_order_Dir', 'filter_order_Dir', 'asc', 'cmd');
		$this->filterForm    	= $this->get('FilterForm');		$this->activeFilters 	= $this->get('ActiveFilters');
 
		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode('<br />', $errors));
 
			return false;
		}
		
		// Set the toolbar and number of found items
		$this->addToolBar();
 
		// Display the template
		parent::display($tpl);
		
		// Set the document
		$this->setDocument();
	}
	
	protected function addToolBar()
	{
		$title = JText::_('COM_BASES_MANAGER_BASESS');
		
		if ($this->pagination->total)
		{
			$title .= "<span style='font-size: 0.5em; vertical-align: middle;'>(" . $this->pagination->total . ")</span>";
		}
		
		JToolBarHelper::title($title, 'bases');
		JToolBarHelper::deleteList('', 'basess.delete');
		JToolBarHelper::editList('bases.edit');
		JToolBarHelper::addNew('bases.add');
	}	
	/**	 * Method to set up the document properties	 
	*	 
	* @return void	 
	*/	
	protected function setDocument()
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_BASES_ADMINISTRATION'));
	}
}